<s:div xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
       xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <s:div id="treereRender">
        <rich:tree id="treesubid" value="#{pnrIHEManager.treeNodePublish}" adviseNodeOpened="#{pnrIHEManager.getAdviseNodeOpened()}" var="node"
                   style="vertical-align:top"
                   nodeType="#{node.data.class.simpleName}" toggleType="client">
            <rich:treeNode type="String" id="xdssubid" width="20" height="20">
                <h:outputText value="#{node.data}" style="font-weight:bold;"/>
                <gdk:spacer width="5"/>
                <a4j:commandLink execute="@form"
                                 actionListener="#{pnrIHEManager.addSubmission()}" render="treereRender,metadata_id"
                                 rendered="#{pnrIHEManager.canAddSubmissionSet(selectedMessageType)}">
					<span class="gzl-icon-stack"
                          title="#{messages['net.ihe.gazelle.xdstar.AddXDSSubmissionToThePublishRequest']}">
                        <i class="gzl-icon-folder-open gzl-icon-stack-1x"></i>
                        <i class="gzl-icon-plus gzl-icon-stack-1x gzl-icon-stack-bottom-right"></i>
                    </span>
                </a4j:commandLink>

                <gdk:spacer width="5"/>
                <a4j:commandLink execute="@this"
                                 actionListener="#{pnrIHEManager.addFolder()}" render="treereRender,metadata_id"
                                 rendered="#{pnrIHEManager.canAddFolder(selectedMessageType)}">
					<span class="gzl-icon-stack"
                          title="#{messages['net.ihe.gazelle.xdstar.AddXDSFolderToThePublishRequest']}">
                        <i class="gzl-icon-folder-open gzl-icon-stack-1x"></i>
                        <i class="gzl-icon-plus gzl-icon-stack-1x gzl-icon-stack-bottom-right"></i>
                    </span>
                </a4j:commandLink>

                <gdk:spacer width="5"/>
                <a4j:commandLink execute="@this"
                                 actionListener="#{pnrIHEManager.addDocumentEntry()}" render="treereRender,metadata_id"
                                 rendered="#{pnrIHEManager.canAddFullDocument(selectedMessageType)}">
					<span class="gzl-icon-stack"
                          title="#{messages['net.ihe.gazelle.xdstar.AddXDSDocumentEntryToThePublishRequest']}">
                        <i class="gzl-icon-files-o gzl-icon-stack-1x"></i>
                        <i class="gzl-icon-plus gzl-icon-stack-1x gzl-icon-stack-bottom-right"></i>
                    </span>
                </a4j:commandLink>

                <a4j:commandLink execute="@this"
                                 actionListener="#{pnrIHEManager.addMinimalObjectRef()}" render="treereRender,metadata_id"
                                 rendered="#{pnrIHEManager.canAddMinimalObjectRef(selectedMessageType)}">
					<span class="gzl-icon-stack"
                          title="#{messages['net.ihe.gazelle.xdstar.AddXDSDocumentEntryToThePublishRequest']}">
                        <i class="gzl-icon-files-o gzl-icon-stack-1x"></i>
                        <i class="gzl-icon-plus gzl-icon-stack-1x gzl-icon-stack-bottom-right"></i>
                    </span>
                </a4j:commandLink>

            </rich:treeNode>
            <rich:treeNode type="XDSDocumentEntry" id="xdsdocid" width="20" height="20">
                <a4j:commandLink value="#{node.data.title}"
                                 style="font-weight:bold;"
                                 rendered="#{pnrIHEManager.selectedXDSDocumentEntry.equals(node.data) and pnrIHEManager.editXDSDocumentEntry}"
                                 actionListener="#{pnrIHEManager.editXDSDocumentEntry(node.data)}" render="metadata_id,treesubid"/>
                <a4j:commandLink value="#{node.data.title}"
                                 rendered="#{!pnrIHEManager.selectedXDSDocumentEntry.equals(node.data) or !pnrIHEManager.editXDSDocumentEntry}"
                                 actionListener="#{pnrIHEManager.editXDSDocumentEntry(node.data)}" render="metadata_id,treesubid"/>

                <a4j:commandLink execute="@this"
                                 actionListener="#{pnrIHEManager.deleteXDSDocument(node.data)}" render="treereRender,metadata_id">
                    <span class="gzl-icon-trash-o" title="#{messages['net.ihe.gazelle.xdstar.DeleteXDSDocumentEntry']}#{node.data.title}'"/>
                </a4j:commandLink>
            </rich:treeNode>
            <rich:treeNode type="XDSFolder" id="xdsfolderid" width="20" height="20">
                <a4j:commandLink value="#{node.data.title}" style="font-weight:bold;"
                                 rendered="#{pnrIHEManager.selectedXDSFolder.equals(node.data) and pnrIHEManager.editXDSFolder}"
                                 actionListener="#{pnrIHEManager.editXDSFolder(node.data)}"
                                 render="metadata_id,treesubid"/>
                <a4j:commandLink value="#{node.data.title}"
                                 rendered="#{!pnrIHEManager.selectedXDSFolder.equals(node.data) or !pnrIHEManager.editXDSFolder}"
                                 actionListener="#{pnrIHEManager.editXDSFolder(node.data)}" render="metadata_id,treesubid"/>
                <gdk:spacer width="5"/>
                <a4j:commandLink execute="@this"
                                 actionListener="#{pnrIHEManager.deleteXDSFolder(node.data)}" render="treereRender,metadata_id">
                    <span class="gzl-icon-trash-o" title="#{messages['net.ihe.gazelle.xdstar.DeleteXDSFolder']}#{node.data.title}'"/>
                </a4j:commandLink>
            </rich:treeNode>
            <rich:treeNode type="XDSSubmissionSet" id="xdssubid2" width="20" height="20">
                <a4j:commandLink value=" #{node.data.title}" style="font-weight:bold;"
                                 rendered="#{pnrIHEManager.submissionSet.equals(node.data) and pnrIHEManager.editSubmissionSet}"
                                 actionListener="#{pnrIHEManager.editXDSSubmissionSet(node.data)}" render="metadata_id,treesubid"/>
                <a4j:commandLink value=" #{node.data.title}"
                                 rendered="#{!pnrIHEManager.submissionSet.equals(node.data) or !pnrIHEManager.editSubmissionSet}"
                                 actionListener="#{pnrIHEManager.editXDSSubmissionSet(node.data)}"
                                 render="metadata_id,treesubid"/>
                <gdk:spacer width="5"/>
                <a4j:commandLink execute="@this"
                                 actionListener="#{pnrIHEManager.deleteXDSSubmissionSet(node.data)}" render="treereRender,metadata_id">
                    <span class="gzl-icon-trash-o"
                          title="#{messages['net.ihe.gazelle.xdstar.DeleteSubmissionSet']} #{node.data.title}'"/>
                </a4j:commandLink>

            </rich:treeNode>
            <rich:treeNode type="ObjectRefType" id="xdsobjreftr" width="20" height="20">
                <a4j:commandLink value=" #{node.data.id}" style="font-weight:bold;"
                                 rendered="#{pnrIHEManager.selectedObjectRef.equals(node.data) and pnrIHEManager.editObjectRef}"
                                 actionListener="#{pnrIHEManager.editXDSObjectRef(node.data)}" render="metadata_id,treesubid"/>
                <a4j:commandLink value=" #{node.data.id}"
                                 rendered="#{!pnrIHEManager.selectedObjectRef.equals(node.data) or !pnrIHEManager.editObjectRef}"
                                 actionListener="#{pnrIHEManager.editXDSObjectRef(node.data)}" render="metadata_id,treesubid"/>
                <gdk:spacer width="5"/>
                <a4j:commandLink execute="@this"
                                 actionListener="#{pnrIHEManager.deleteObjectRef(node.data)}" render="treereRender,metadata_id">
                    <span class="gzl-icon-trash-o"
                          title="#{messages['net.ihe.gazelle.xdstar.DeleteObjectRef']} #{node.data.id}'"/>
                </a4j:commandLink>
            </rich:treeNode>
        </rich:tree>
    </s:div>
</s:div>